Last Comment Bug 691491 - [nl] Translate State of Mozilla mini-site
: [nl] Translate State of Mozilla mini-site
Status: RESOLVED FIXED
:
Product: www.mozilla.org
Classification: Other
Component: General (show other bugs)
: unspecified
: All All
: -- normal
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 691023
  Show dependency treegraph
 
Reported: 2011-10-03 13:33 PDT by Milos Dinic [:Milos]
Modified: 2012-08-23 00:16 PDT (History)
6 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch file for Dutch translation (33.96 KB, patch)
2011-10-05 15:35 PDT, Martijn (MozBrowser.nl)
no flags Details | Diff | Splinter Review

Description Milos Dinic [:Milos] 2011-10-03 13:33:39 PDT
This bug is for the translation of the new "State of Mozilla" sub-site inside of mozilla.org.

The State of Mozilla site is an annual report explaining the situation of the Mozilla Foundation projects (financials, community, growth, challenges...).

Here is the url on the development server:
http://www-dev.allizom.org/nl/foundation/annualreport/2010/

The mini site has 5 pages:
http://www-dev.allizom.org/nl/foundation/annualreport/2010/
http://www-dev.allizom.org/nl/foundation/annualreport/2010/ahead/
http://www-dev.allizom.org/nl/foundation/annualreport/2010/people/
http://www-dev.allizom.org/nl/foundation/annualreport/2010/opportunities/
http://www-dev.allizom.org/nl/foundation/annualreport/2010/faq/

Those pages are in your svn repository, so please "svn update" your local copy. Note that although we have merged and renamed our sites as 'mozilla.org', the repository is still named 'mozilla.com, here is the address as a reminder:

https://svn.mozilla.org/projects/mozilla.com/trunk/nl

There is a new associated .lang file for this section containing the UI strings for this mini-site as well as the strings describing resources such as videos, images and pdf files:

https://svn.mozilla.org/projects/mozilla.com/trunk/nl/includes/l10n/foundationsection.lang 

(also visible on the langchecker and webdashboard:
http://l10n.mozilla-community.org/~pascalc/langchecker/?locale=nl
http://l10n.mozilla-community.org/webdashboard/?locale=nl )

There are videos on these pages and we are looking into solutions to integrate Universal Subtitles on mozilla.org, once this is working we will open separate bugs for the video subtitling (it is likely to happen at a later stage).

A couple of pointers about technical US accounting terms:
990 Form 
http://en.wikipedia.org/wiki/IRS_tax_forms#990

Audited Financial Statement
http://www.investorwords.com/325/audited_financial_statements.html

We will make this new mini-site live next Thursday, on October 6. It's a short deadline and we hope some locales can make it but of course, there is no problem in publishing pages after that date.

Thanks!
Comment 1 Pascal Chevrel:pascalc 2011-10-05 09:00:54 PDT
Martijn, do you think you can make it for tomorrow? Also, in case you are not in contact with out usual translators for mozilla.org, I can ping them for help :)
Comment 2 Martijn (MozBrowser.nl) 2011-10-05 09:37:51 PDT
Pascal,

I can't make a promise about whether I will make it for tomorrow. But I will see what I can do. I have just downloaded the files from SVN and it looks do-able.

The original Dutch translator pointed me to this translation request, so we are in touch. I added myself to the bug and posted a reply on our Dutch Mozilla forum (MozBrowser.nl) where all Dutch Mozillians come together. However, I did not receive a reply on my request, so I think this will become a one man's job.

BTW, what's the purpose of the foundationsection.lang file ?!?
Comment 3 Pascal Chevrel:pascalc 2011-10-05 09:41:08 PDT
ok, adding a few people on the CC field to maybe rally some help for you ;)

the foundationsection.lang file contains the stings used in the top menu for all pages as well as the description of images, videos and PDFs on these pages. Basically, that's the User Interface strings needed for the dynamic parts of this section of mozilla.org
Comment 4 Martijn (MozBrowser.nl) 2011-10-05 15:35:42 PDT
Created attachment 565037 [details] [diff] [review]
Patch file for Dutch translation

I have attached a patch file with the Dutch translation. I believe I have now translated all of the available text. I hope you can include it in the website when it launches.
Comment 5 Pascal Chevrel:pascalc 2011-10-05 15:40:08 PDT
patch committed in r95984, you will be able to see your work on stage in 5 mn
Comment 6 Pascal Chevrel:pascalc 2011-10-05 23:23:06 PDT
FYI, The release of the site is delayed to Monday (and on stage, your pages look good :) )
Comment 7 Ton 2011-10-05 23:31:04 PDT
Looks good, may need some minor tweaks though.

(Poor Mark, all the rush for nothing… ;) )
Comment 8 Tim Maks van den Broek [:mad_maks] 2011-10-06 01:22:53 PDT
Martijn, Thanks for your work. I will try to announce more projects like this on mozbrowser (maybe next, time when there is more time, the others will help like they promised :-)).
Comment 9 Pascal Chevrel:pascalc 2011-10-06 07:26:56 PDT
Thanks Martjin! Do you guys want me to keep this bug open or do you profer to have it maked as fixed?
Comment 10 Martijn (MozBrowser.nl) 2011-10-06 07:35:18 PDT
Pascal,

It might be that Ton(nes) has some improvements to my translation.
If you keep this bug open I can attach new translations (patch files) to it.

Then you can close the bug when the site goes live and the Dutch translation has reached a more final state.

If there is another way to send updated translations, that's fine with me. Then you can close this bug.
Comment 11 Pascal Chevrel:pascalc 2011-10-06 07:42:24 PDT
sounds good to me, maybe you can also ask Tonnes and Tim to commit to SVN fo you :)
Comment 12 Ton 2011-10-09 20:26:49 PDT
Small fixes created r96169, and r96170 for the lang file.
Comment 13 Ton 2011-10-09 23:39:34 PDT
(In reply to Ton from comment #12)
> Small fixes created r96169, and r96170 for the lang file.

A few small fixes make that r96171 and r96172 (thanks Martijn).
Comment 14 Pascal Chevrel:pascalc 2011-10-10 00:36:13 PDT
Thanks, we are pushing live today, I'll keep this bug open for you guys until we ate live
Comment 15 Pascal Chevrel:pascalc 2011-10-11 00:33:11 PDT
marking fixed, thanks :)

Note You need to log in before you can comment on or make changes to this bug.